/*
 * @(#)$Id: ApplicationEvent.java,v 1.1.1.1 2002/11/06 22:10:24 kris Exp $
 *
 *
 */

package mokan.app;


import mokan.comm.LogicalNode;
/**
 * The default set of event used by an application
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:24 $
 * @author	kristian Kvilekval
 */
public class ApplicationEvent  {

    public final static int INSERT_NODE = 1;
    public final static int REMOVE_NODE = 2;


    LogicalNode source;
    int event;

    /** Create a new ApplicationEvent 
     */
    public ApplicationEvent(LogicalNode source, int event) {
        this.source = source;
        this.event = event;
    }

    /**
       * Get the value of appID.
       * @return Value of appID.
       */
    public LogicalNode getSourceNode() { return source; }
    
    /**
     * Get the value of Event.
     * @return Value of Event.
     */
    public int getEvent() {return event;}
};
