/*
 * @(#)$Id
 *
 *
 *
 */


package mokan.comm;

/**
 *    A network event including adding, and removing of node
 *    @see Network
 *   @author Kristian G. Kvilekval
 */
class NetworkEvent {

    private Network network;
    private Network.NodeID id;
    private Object argument;

    public NetworkEvent (Network n, Network.NodeID id, Object arg) {
        this.network = n;
        this.id = id;
        this.argument = arg;
    }

    public Network getNetwork () {
        return network;
    }

    public Network.NodeID getNodeID () {
        return id;
    }

    public Object getArgument (){
      return argument;
    }
}
