/**
 * Cable
 * Author: kkvilekal@acm.org 2004/07/06 02:25:06
 * arch-tag: 688d0716-7596-4225-9609-0fede29001d1
 */
package mokan.example.mapview.emergency;

import mokan.example.mapview.spatialdb.SpatialLoc;

/**
 *  The <code>Cable</code> description.
 *  @version $Revision$, $Date$
 *  @author Kristian Kvilekval (kkvilekval@acm.org)
 */
public class Cable extends AbstractElectrical{
    /* Private/Public Variables */


    public SpatialLoc pt1;
    public SpatialLoc pt2;

    
    public Cable (){
        super("Cable");
    }


    public void setPoints (SpatialLoc p1, SpatialLoc p2) {
        pt1 = p1;
        pt2 = p2;
    }


    public void visit(ElectricalVisitor v){
        v.visitCable(this);
    }

    public String toString() {
        return "Cable["+pt1 + ", "+pt2+']';
    }

}
