/*
 * @(#)$Id: Line.java,v 1.1.1.1 2002/11/06 22:10:27 kris Exp $
 *
 *
 */

package mokan.example.whiteboard;

import java.awt.Graphics;
import java.io.Serializable;

/**
 * A Line on a window
 */
public final class Line implements Serializable {
    public int x1, y1, x2, y2;

    /**
     * Create a new line with given start and end coordinates
     */
    public Line(int x1, int y1, int x2, int y2) {
	this.x1 = x1;
	this.y1 = y1;
	this.x2 = x2;
	this.y2 = y2;
    }

    /**
     * Draw this line on a graphics object
     */
    void paint(Graphics g) {
	g.drawLine(x1, y1, x2, y2);
    }
}
