/*
 * @(#)$Id: NodeFailureException.java,v 1.2 2002/11/22 23:26:06 kris Exp $
 *
 *
 */

package mokan.fail;

/**
 * Thrown if a node failure is detected
 *
 * @version	$Revision: 1.2 $, $Date: 2002/11/22 23:26:06 $
 * @author	Jerry James
 */
public final class NodeFailureException extends Exception {

    /**
     * The <var>serialVersionUID</var> for this class.  If you change the
     * signature of this class (field names or types, method names, parameter
     * names or types, adding or removing fields or methods, etc.), you
     * <strong>must</strong> change this value.  The recommended way is to use
     * the <code>serialver</code> tool.
     */
    static final long serialVersionUID = -3488960204008895611L;



    /**
     * Constructs a <code>NodeFailureException</code> with no detail message.
     */
    public NodeFailureException() {
	super();
    }

    /**
     * Constructs a <code>NodeFailureException</code> with the specified
     * detail message.
     *
     * @param s the detail message.
     */
    public NodeFailureException(final String s) {
	super(s);
    }
}
