/*
 * @(#)$Id: IllegalLockOwnerException.java,v 1.1.1.1 2002/11/06 22:10:27 kris Exp $
 *
 *
 */
 
package mokan.obj;
 
/**
 * Thrown if the accessing thread is not the owner of the locked object
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:27 $
 * @author	Jing Wang
 */
public final class IllegalLockOwnerException extends Exception {

    /**
     * Constructs an <code>IllegalLockOwnerException</code> with no detail
     * message. 
     */
    IllegalLockOwnerException() {
	super();
    }

    /**
     * Constructs a <code>IllegalLockOwnerException</code> with the specified
     * detail message.
     *
     * @param s the detail message.
     */
    IllegalLockOwnerException(final String s) {
	super(s);
    }
}
