/*
 * @(#)$Id: InconsistentStateException.java,v 1.1.1.1 2002/11/06 22:10:27 kris Exp $
 *
 *
 */

package mokan.obj;

import mokan.transact.TransactionAbortException;

/**
 * Thrown if an inconsistency between replicas of an object has been detected
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:27 $
 * @author	Jerry James
 */
public final class InconsistentStateException
    extends TransactionAbortException {

    /**
     * Constructs an <code>InconsistentStateException</code> with no detail
     * message.
     */
    InconsistentStateException() {
	super();
    }

    /**
     * Constructs an <code>InconsistentStateException</code> with the
     * specified detail message.
     *
     * @param s the detail message.
     */
    InconsistentStateException(final String s) {
	super(s);
    }
}
