/*
 * @(#)$Id: NoSuchKanObjectException.java,v 1.1.1.1 2002/11/06 22:10:27 kris Exp $
 *
 *
 */
 
package mokan.obj;
 
/**
 * Thrown if the object can not be found on the local logical node
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:27 $
 * @author	Jing Wang
 */
public final class NoSuchKanObjectException extends Exception {

    /**
     * Constructs a <code>NoSuchKanObjectException</code> with no detail
     * message. 
     */
    public NoSuchKanObjectException() {
	super();
    }

    /**
     * Constructs a <code>NoSuchKanObjectException</code> with the specified
     * detail message.
     *
     * @param s the detail message.
     */
    public NoSuchKanObjectException(final String s) {
	super(s);
    }
}
