/**
 * IncrementalClassAnalysis
 * tag: kkvilekal@acm.org 2002/09/14 04:39:14
 */
package mokan.prefetch.analysis.classanalysis;

import java.util.HashMap;


/**
 *  The <code>IncrementalClassAnalysis</code> 
 *  @version $Revision: 1.1.1.1 $, $Date: 2002/12/19 23:48:36 $
 *  @author Kristian Kvilekval (kkvilekval@acm.org)
 */
public class IncrementalClassAnalysis extends RTAClassAnalysis {
    /* Private/Public Variables */
    

    /** Map<RTClass,Set<RTMethod>>  that need to be reanalyized when
     *  a new class is added to the class grap.
     */
    HashMap   handle2methods;



    public IncrementalClassAnalysis(String classpath,String apppath,String mainname){
        super(classpath, apppath, mainname);
    }

    
    /** add a newly loaded class into the hierarchy and mark.
     *  the callgraph as invalid */
    public void addLoadedClass (String classname) {
        // Add to the class graph.  

        // Scan parent hierarchy for invalid call nodes 
    }

}
