/*
 * 
 *
 * tag: kkvilekval@acm.org Thu Jul 12 11:33:13 2001 (VarStack)
 *
 */


package mokan.prefetch.analysis.shapeanalysis;

import java.util.ArrayList;


/**
 *  The <code>VarStack</code> is a utility class built on
 *  array list for doin RTVariable Stack operations.
 *  @version $Revision: 1.2 $, $Date: 2003/02/06 03:20:23 $
 *  @author Kristian Kvilekval
 */
public class VarStack extends ArrayList {

    /* Private/Public Variables */

    /**
     *  The default constructor
     */
    public VarStack () {
        super ();
    }

    public VarStack (int capacity) {
        super (capacity);
    }


    public void push (RTVariable o) {
        add (o);
    }
    
    RTVariable  peek () {
        return (RTVariable)get (size()-1);
    }

    RTVariable  pop () {
        return (RTVariable)remove (size()-1);
    }

    void push (int count) {
        while  (count-->0) 
            push (null);
    }
    void  pop (int count) {
        while  (count-->0) 
            pop();
    }

    RTVariable getAt (int index) {
        return (RTVariable)get (index);
    }

    RTVariable setAt (int index, RTVariable o) {
        return (RTVariable)set (index, o);
    }

};
