/**
 * PrefetchSystem
 * tag: kkvilekal@acm.org 2004/06/25 22:58:41
 */
package mokan.prefetch.runtime;

/**
 *  The <code>PrefetchSystem</code> description.
 *  @version $Revision$, $Date$
 *  @author Kristian Kvilekval (kkvilekval@acm.org)
 */
public class PrefetchSystem {
    /* Private/Public Variables */
    



    public static void start(String shapes) {




        PrecacheStrategy ps = 
            new PrecacheStrategy(0,
                                 0,
                                 Integer.MAX_VALUE,
                                 shapes);

        // load top-level strategy for use.
        AccessTable.setStrategy (ps);
        AccessTable.start();

        System.out.println ("Prefetch system initialized");


    }


    public static void stop() {
        AccessTable.stop();
    }

}
