package mokan.test.WebCache;

import java.net.*;
import java.io.*;

public class Client
{
    // just a client that requests various proxies for html pages
    public static void main(String[] args)
    throws Exception
    {
	if (args.length < 1) {
	    System.out.println("Usage : java Client [port #]");
	    System.exit(0);
	}
	int requestPort = Integer.parseInt(args[0]);
	Socket httpRequest;
	String requestProxy = "";
	String requestURL = "";
	BufferedReader br = new BufferedReader
	    (new InputStreamReader(System.in));
	
	PrintStream prnStrm;
	DataInputStream disStrm;
	while (!requestProxy.equals("quit")) {
	    System.out.print("Please enter the target Proxy " +
			     "('quit' to terminate) : ");
	    requestProxy = br.readLine();
	    System.out.print("Please enter the URL needed : ");
	    requestURL = br.readLine() + "\n\n";
	    httpRequest = new Socket(requestProxy, requestPort);
	    
	    prnStrm = new PrintStream(httpRequest.getOutputStream());
	    disStrm = new DataInputStream(httpRequest.getInputStream());

	    prnStrm.print(requestURL);
	    int fileSize = disStrm.readInt();
	    int bytesRead = 0;
	    int currRead = 0;
	    byte[] newFile = new byte[fileSize];
	    while (bytesRead < fileSize) {
		currRead = disStrm.read(newFile, bytesRead, newFile.length);
		bytesRead += currRead;
	    } // end while(bytesRead...)
	    
	    System.out.println("Received " + bytesRead + "bytes of data.");
	    for (int currChar = 0; currChar < newFile.length; currChar++) {
		System.out.print((char)newFile[currChar]);
	    }
	} // end while(!requestProxy...)
    } // end public static void main()
}
