/*
 * @(#)$Id: ExecMsg.java,v 1.1.1.1 2002/11/06 22:10:27 kris Exp $
 *
 * Copyright (c)1999 Regents of the University of California
 */

package mokan.test.rmiTest;

import java.io.Serializable;

/**
 * A dummy class for estimating the relative network performances of Java RMI
 * and Kan
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:27 $
 * @author	Jerry James
 */
public class ExecMsg extends AppMessage implements Serializable {
    public MethodInfo mr;

    public ExecMsg(LogicalNode from, LogicalNode to) {
	super(from, to);
	mr = new MethodInfo(from, to, null);
    }

    public static ExecMsg makeExecMsg() {
	LogicalNode from = new LogicalNode();
	LogicalNode to = new LogicalNode();
	return new ExecMsg(from, to);
    }
}
