/*
 * @(#)$Id: MethodInfo.java,v 1.1.1.1 2002/11/06 22:10:27 kris Exp $
 *
 * Copyright (c)1999 Regents of the University of California
 */

package mokan.test.rmiTest;

import java.io.Serializable;

/**
 * A dummy class for estimating the relative network performances of Java RMI
 * and Kan
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:27 $
 * @author	Jerry James
 */
public class MethodInfo implements Serializable {

    FutureID futID;
    final NestedTransactionID parentTrans;
    final ObjectID objID;
    final short methodNum;
    final Object[] args;

    public MethodInfo(LogicalNode from, LogicalNode to, Object[] args) {
	futID = new FutureID(from);
	parentTrans = null;
	objID = new ObjectID(to, true);
	methodNum = 37;
	this.args = args;
    }
}
