/*
 * @(#)$Id: RMITestObjectInterface.java,v 1.1.1.1 2002/11/06 22:10:27 kris Exp $
 *
 * Copyright (c)1999 Regents of the University of California
 *
 */

package mokan.test.rmiTest;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * The RMI interface for <code>TestObject</code>s
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:27 $
 * @author	Jerry James
 */
public interface RMITestObjectInterface extends Remote {

    public void noComputation() throws RemoteException;

    public void noComputation(int dummy) throws RemoteException;

    public void noComputation(int  a1, int  a2, int  a3, int  a4, int  a5,
			      int  a6, int  a7, int  a8, int  a9, int a10,
			      int a11, int a12, int a13, int a14, int a15,
			      int a16, int a17, int a18, int a19, int a20,
			      int a21, int a22, int a23, int a24, int a25,
			      int a26, int a27, int a28, int a29, int a30,
			      int a31, int a32) throws RemoteException;

    public void noComputation(int[] dummy) throws RemoteException;

    public void noComputation(Tree dummy) throws RemoteException;

    public int noCompute(Tree dummy) throws RemoteException;

    public void noComputation(ExecMsg dummy) throws RemoteException;

    public void done() throws RemoteException;

    public void waitUntilDone() throws RemoteException;
}
