#! /bin/sh
# This is a script to run tests for me to spare my poor aching hands

echo Starting NO JIT tests
for type in 0 1 2 3 4 5 6 7; do
    echo Testing type $type
    for round in 0 1 2 3 4 5 6 7 8 9; do
	env JAVA_COMPILER=NONE java kan.Kan -u "$@" kan.test.rmiTest.VeryLocalWorkLoad 1 $type 300000
    done
done
echo Starting JIT tests
for type in 0 1 2 3 4 5 6 7; do
    echo Testing type $type
    for round in 0 1 2 3 4 5 6 7 8 9; do
	java kan.Kan -u "$@" kan.test.rmiTest.VeryLocalWorkLoad 1 $type 300000
    done
done
echo All tests complete

# arch-tag: df50adac-56af-4b81-aa83-df337ef8d6ee
