#! /bin/sh
# This is a script to run tests for me to spare my poor aching hands

echo Starting NO JIT tests
for amt in 1 50 100; do
    echo Testing $amt threads
    for round in 0 1 2 3 4 5 6 7 8 9; do
	env JAVA_COMPILER=NONE java kan.Kan -u "$@" kan.test.speed.Inlining $amt
    done
done
echo Starting JIT tests
for amt in 1 50 100; do
    echo Testing $amt threads
    for round in 0 1 2 3 4 5 6 7 8 9; do
	java kan.Kan -u "$@" kan.test.speed.Inlining $amt
    done
done
echo All tests complete

# arch-tag: 08759405-dab8-4b0d-8940-6d459eb0412f
