/*
 * @(#)WoundWaitException.java WoundWaitException.java,v 1.1.1.1 2002/11/06 22:10:27 kris Exp $
 *
 *
 */

package mokan.transact;

//import mokan.transact.TransactionID;
//import mokan.transact.TransactionAbortException;

/**
 * Thrown if the current transaction is aborted by the wound-wait algorithm.
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:27 $
 * @author	Jerry James
 */
public final class WoundWaitException extends TransactionAbortException {


    /**
     * Constructs a <code>WoundWaitException</code> with no detail message.
     */
    public WoundWaitException() {
	super();
    }

    /**
     * Constructs a <code>WoundWaitException</code> that was caused by the
     * specified transaction
     *
     * @param trans the <code>ID</code> of the transaction causing the
     *        exception
     */
    public WoundWaitException(final TransactionID trans) {
	super("Caused by " + trans);
    }
}
