/*
 * @(#)timer.c timer.c,v 1.1.1.1 2002/11/06 22:10:29 kris Exp $
 *
 */

#include "kan_util_Timer.h"
#include <time.h>

JNIEXPORT jlong
JNICALL Java_kan_util_Timer_currentTimeNanos(JNIEnv *env, jclass class) {
    struct timespec time;
    const register jlong sec_to_nano = 1000000000L;

    /* CLOCK_VIRTUAL yields actual CPU usage, but isn't always available */
    clock_gettime(CLOCK_REALTIME, &time);
    return sec_to_nano * time.tv_sec + time.tv_nsec;
}

// arch-tag: eb2680f0-9f17-4e13-ad35-5f91fad705b4
