/*
 * @(#)$Id
 *
 *
 *
 * @author Kristian G. Kvilekval
 */

package mokan.comm;

interface NetworkListener {

    /** 
     *   Event signalled when network has recieved indiciation 
     *   of a new node wishing to attach to the current KVM 
     */
    public void networkAddNode (NetworkEvent e);
    /** 
     *   Event signalled when network has recieved indiciation 
     *   of a new node wishing to detach.  This may be failure
     *   or a requested termination.
     */
    public void networkRemoveNode (NetworkEvent e);

}
