/**
 * SpecialMethods
 * tag: kkvilekal@acm.org 2002/08/27 02:04:49
 * Copyright kkvilekval@acm.org.   See COPYRIGHT for details.
 */
package mokan.prefetch.analysis.classanalysis;

/**
 *  The <code>SpecialMethods</code> contains constants for
 *  classanalysis
 *  @version $Revision: 1.1.1.1 $, $Date: 2002/12/19 23:48:36 $
 *  @author Kristian Kvilekval (kkvilekval@acm.org)
 */
interface SpecialMethods {

    public final static String CLASSINIT = "<init>()V";
    public final static String STATICCLASSINIT = "<clinit>()V";
    public final static String MAIN = "main([Ljava/lang/String;)V";
    public final static String THREADSTART = "start()V";
    public final static String THREADRUN = "run()V";
    public final static String NEWINSTANCE = "newInstance()Ljava/lang/Object;";

    public final static String MOKANMAIN = "main(Lmokan/app/Application;[Ljava/lang/String;)V";

}
