/*
 * 
 *
 * tag: kkvilekval@acm.org Sun Oct 14 14:11:13 2001 (RTVariable)
 *
 */


package mokan.prefetch.analysis.shapeanalysis;

import java.io.Serializable;

/**
 *  The <code>RTVariable</code> is some variable 
 *  of the Java Machine.  RTVariable can be associated
 *  
 *  @version $Revision: 1.1.1.1 $, $Date: 2002/12/19 23:48:36 $
 *  @author Kristian Kvilekval
 */
public class RTVariable implements Serializable {

    // Debug counter;
    private static int variableNum = 0;
    /* Private/Public Variables */
    /** Debug name */
    int varName;
    public int distance;

    /**
     *  The default constructor
     */
    public RTVariable () {
        varName = variableNum++;
    }

    /**
     *  @return a string representation of this <code>RTVariable</code> 
     */
    public String toString () {
        return "rv"+varName;
    }
};
