/*
 * 
 *
 * tag: kkvilekval@acm.org Sun Oct 28 18:28:07 2001 (FetchQueue)
 *
 */


package mokan.prefetch.runtime;


/**
 *  The <code>FetchQueue</code> description.
 *  @version $Revision: 1.1.1.1 $, $Date: 2002/12/19 23:48:36 $
 *  @author Kristian Kvilekval
 */
public class FetchQueue extends Queue{

    /* Private/Public Variables */
    static class Entry {
        Object o;
        int    p;
        public Entry(Object x, int y) { o=x; p=y; }
        public boolean equals (Object e) {
            return ((Entry)e).o == o && ((Entry)e).p == p;
        }
    } 
    private Entry search;
    /**
     *  The default constructor
     */

    public FetchQueue (int initial) {
        super (initial);
        search = new Entry(null, 0);
    }

    public void putLast (Object rtobj, int pc){
        super.putLast (new Entry(rtobj,pc));
    }

    public boolean contains(Object o, int p) {
        search.o = o;
        search.p = p;
        return contains (search);
    }

    public Object firstObject () {
        return ((Entry)first()).o;
    }

    public int firstPC () {
        return ((Entry)first()).p;
    }



};
