/*
 * 
 *
 * tag: kkvilekval@acm.org Wed Oct 31 16:00:54 2001 (ObjIntMap)
 *
 */


package mokan.prefetch.util;

import java.util.HashMap;

/**
 *  The <code>ObjIntMap</code> description.
 *  @version $Revision: 1.1.1.1 $, $Date: 2002/12/19 23:48:36 $
 *  @author Kristian Kvilekval
 */
public class ObjIntMap extends HashMap {

    /**
     *  The default constructor
     */
    private int defaultVal = 0;

    public ObjIntMap (){
    }

    public ObjIntMap (int initial, int defaultVal){
        super(initial);
        this.defaultVal = defaultVal;
    }


    public int getInt(Object o) {
        Integer x = (Integer)get(o);
        if (x == null) {
            x = new Integer (defaultVal);
            put (o,x);
        }
        return x.intValue();
    }

    public void putInt (Object o, int i) {
        Integer x = new Integer(i);
        put (o, x);
    }

};

