#! /bin/sh
# This is a script to run tests for me to spare my poor aching hands

echo Starting NO JIT tests
for type in 0 1 2 3 4 5 6 7 8; do
    echo Testing type $type
    for round in 0 1 2 3 4 5 6 7 8 9; do
	env JAVA_COMPILER=NONE java kan.test.rmiTest.RMIWorkLoad 1 $type 3000 "$@"
    done
done
echo Starting JIT tests
for type in 0 1 2 3 4 5 6 7 8; do
    echo Testing type $type
    for round in 0 1 2 3 4 5 6 7 8 9; do
	java kan.test.rmiTest.RMIWorkLoad 1 $type 3000 "$@"
    done
done
echo All tests complete

# arch-tag: a7e52f6f-a18e-4ea3-8b15-4278c07a347c
