/*
 * @(#)$Id: NoSuchAsynchCallException.java,v 1.1.1.1 2002/11/06 22:10:28 kris Exp $
 *
 *
 */

package mokan.thread;

/**
 * Thrown if the the identified thread cannot be located.
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:28 $
 * @author	Jerry James
 * @author	Jing Wang
 */
final class NoSuchAsynchCallException extends Exception {

    /**
     * Constructs a <code>NoSuchAsynchCallException</code> with no detail
     * message. 
     */
    NoSuchAsynchCallException() {
	super();
    }

    /**
     * Constructs a <code>NoSuchAsynchCallException</code> with the specified
     * detail message.
     *
     * @param s the detail message.
     */
    NoSuchAsynchCallException(final String s) {
	super(s);
    }
}
