/*
 * @(#)$Id: TransactionAbortException.java,v 1.1.1.1 2002/11/06 22:10:28 kris Exp $
 *
 *
 */

package mokan.transact;

/**
 * Thrown if the current transaction is aborted by the system.
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:28 $
 * @author	Jerry James
 * @author	Jing Wang
 */
public class TransactionAbortException extends TransactionException {

    /**
     * Constructs a <code>TransactionAbortException</code> with no detail
     * message.
     */
    public TransactionAbortException() {
	super();
    }

    /**
     * Constructs a <code>TransactionAbortException</code> with the specified
     * detail message.
     *
     * @param s the detail message.
     */
    public TransactionAbortException(final String s) {
	super(s);
    }
}
