/*
 * @(#)$Id: TransactionException.java,v 1.1.1.1 2002/11/06 22:10:28 kris Exp $
 *
 *
 */

package mokan.transact;

/**
 * Thrown if anything went wrong during a transaction.
 *
 * @version	$Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:28 $
 * @author	Jerry James
 */
public class TransactionException extends RuntimeException {


    /**
     * Constructs a <code>TransactionException</code> with no detail message.
     */
    public TransactionException() {
	super();
    }

    /**
     * Constructs a <code>TransactionException</code> with the specified
     * detail message.
     *
     * @param s the detail message.
     */
    public TransactionException(final String s) {
	super(s);
    }
}
