/*
 * @(#)$Id: Hash2Map.java,v 1.1.1.1 2002/11/06 22:10:29 kris Exp $
 *
 *
 */


package mokan.util;


import java.util.HashMap;
import java.util.HashMap;
/**
 *  The <code>Hash2Map</code> description.
 *     Map a pair of object (o1, o2) to another object.

 *  @version $Revision: 1.1.1.1 $, $Date: 2002/11/06 22:10:29 $
 *  @author Kristian Kvilekval
 */
public class Hash2Map extends HashMap {

    /* Private/Public Variables */

    private final HashMap getLevel2(Object k1) {
        HashMap l2 =  (HashMap)get (k1);
        if (l2 == null) {
            put (k1, l2 = new HashMap());
        }
        return l2;
    }

    /**
     *  The default constructor
     */
    public Hash2Map () {
        
    }
    public Object get (Object k1, Object k2){
        HashMap l2 = (HashMap)get (k1);
        if (l2 != null) 
            return l2.get (k2);
        return null;
    }

    public void put (Object k1, Object k2, Object v) {
        getLevel2(k1).put (k2,v);
    }

    public void remove (Object k1, Object k2) {
        HashMap l2 = (HashMap)get (k1);
        if (l2 != null) {
            l2.remove (k2);
            if (l2.size () == 0) 
                remove (k1);
        }
    }


};
